﻿@model IEnumerable<TvrtkaViewModel2>

<table class="table table-striped" id="table-tvrtke">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Oib", "Naziv", "Mjesto", "Adresa", "Djelatnost" };
                for (int i = 0; i < nazivi.Length; i++) {
                    <th class="text-center">
                        @nazivi[i]
                    </th>
                }
            }
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach(var tvrtka in Model) {
            <tr>
                <td class="text-left col-sm-4">
                    <input type="hidden" name="Tvrtke.Index" value="@tvrtka.Oib" />
                    <input type="hidden" name="Tvrtke[@tvrtka.Oib].Oib" value="@tvrtka.Oib" />
                    @tvrtka.Oib
                </td>
                <td class="text-center col-sm-3">
                    <input type="hidden" data-autocomplete-placeholder="actvrtka" />
                    <input name="Tvrtke[@tvrtka.Oib].Naziv" class="form-control" value="@tvrtka.Naziv" data-autocomplete="actvrtka"/>
                </td>
                <td class="text-center col-sm-3">
                    <input type="hidden" data-autocomplete-placeholder="acmjesto" />
                    <input name="Tvrtke[@tvrtka.Oib].FkMjesto" class="form-control" value="@tvrtka.FkMjesto" data-autocomplete="acmjesto"/>
                </td>
                <td class="text-center col-sm-3">
                    <input name="Tvrtke[@tvrtka.Oib].Adresa" class="form-control" value="@tvrtka.Adresa" />
                </td>
                <td class="text-center col-sm-3">
                    <input type="hidden" data-autocomplete-placeholder="acdjelatnost" />
                    <input name="Tvrtke[@tvrtka.Oib].Djelatnost" class="form-control" value="@tvrtka.Djelatnost" data-autocomplete="acdjelatnost"/>
                </td>
                <td>
                    <button class="btn btn-sm btn-danger deleterow" title="Izbaci"><i class="fa fa-minus"></i></button>
                </td>
            </tr>
        }
    <tr>
        <td>
            <input id="tvrtka-oib" type="text"/>
        </td>
        <td class="text-center col-sm-1">
            <input id="tvrtka-vrijednost" type="hidden" data-autocomplete-placeholder="actvrtka" />
            <input id="tvrtka-naziv" type="text" data-autocomplete="actvrtka" />
            <script>
                function dodajOIB() {
                     document.getElementById("tvrtka-oib").value = $("#tvrtka-vrijednost").val();
                }
            </script>
        </td>
        <td class="text-center col-sm-1">
            <input type="hidden" data-autocomplete-placeholder="acmjesto" />
            <input id="tvrtka-mjesto" type="text" data-autocomplete="acmjesto"/>
        </td>
        <td class="text-right col-sm-2">
            <input id="tvrtka-adresa" type="text" />
        </td>
        <td class="text-center col-sm-1">
            <input type="hidden" data-autocomplete-placeholder="acdjelatnost" />
            <input id="tvrtka-djelatnost" type="text" data-autocomplete="acdjelatnost" />
        </td>
        <td class="text-left" colspan="3">
            <button onclick="dodajOIB()" id="tvrtka-dodaj" class="btn btn-sm btn-secondary" title="Dodaj"><i class="fas fa-plus"></i></button>
        </td>
    </tr>
    </tbody>
</table>